Name:          remotetea
Version:       1.0.7
Release:       7%{?dist}
Summary:       Java implementation of Sun's ONC/RPC Remote Procedure Protocol
# GPL with exceptions: src/org/acplt/oncrpc/apps/jrpcgen/JrpcgenSHA.java original
License:       LGPLv2+
URL:           http://remotetea.sourceforge.net/
Source0:       http://downloads.sourceforge.net/remotetea/remotetea-src-%{version}.zip
# http://sourceforge.net/p/remotetea/code/ci/master/tree/remotetea/build.xml
Source1:       %{name}-%{version}-build.xml
Source2:       http://repo1.maven.org/maven2/org/acplt/oncrpc/%{version}/oncrpc-%{version}.pom
Source3:       %{name}-jrpcgen-template.pom
Source4:       %{name}-portmap-template.pom

# Fix classpath
Patch0:        %{name}-1.0.7-build.patch
# Use system java_cup
Patch1:        %{name}-1.0.7-system-java_cup.patch
# Remove src/org/acplt/oncrpc/apps/jrpcgen/JrpcgenSHA.java references
# gnu.java.security.provider.SHA.java, bundled libraries without FPC exception

# Clean implementation of JrpcgenSHA.java that calls out to the
# Java standard library's implementation of SHA-1.  It
# should otherwise be interface- and implemenation-compatible with the
# one that depended on bundled code

Patch2:        %{name}-1.0.7-custom_JrpcgenSHA.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: java_cup
Requires:      java_cup
Requires:      jpackage-utils
BuildArch:     noarch

%description
A complete Java-based implementation of Sun's ONC/RPC
Remote Procedure Protocol, including client and server
functionality and some associated tools. No native
code involved, only Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
cp -p %{SOURCE1} build.xml

%patch0 -p1
cp -p %{SOURCE3} jrpcgen.pom
%patch1 -p1
%patch2 -p1

cp -p %{SOURCE4} portmap.pom
sed -i "s|@VERSION@|%{version}|" *.pom

native2ascii -encoding UTF8 src/org/acplt/oncrpc/OncRpcUdpClient.java \
 src/org/acplt/oncrpc/OncRpcUdpClient.java

%build

%ant jar javadoc jrpcgen-test

%install

mkdir -p %{buildroot}%{_javadir}/%{name} %{buildroot}%{_mavenpomdir}
install -m 644 classes/oncrpc.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP.%{name}-oncrpc.pom
%add_maven_depmap JPP.%{name}-oncrpc.pom %{name}/oncrpc.jar

install -m 644 classes/jrpcgen.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 jrpcgen.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jrpcgen.pom
%add_maven_depmap JPP.%{name}-jrpcgen.pom %{name}/jrpcgen.jar

install -m 644 classes/portmap.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 portmap.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-portmap.pom
%add_maven_depmap JPP.%{name}-portmap.pom %{name}/portmap.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc changelog.html docstyle.css readme.html
%license COPYING.LIB

%files javadoc
%{_javadocdir}/%{name}
%license COPYING.LIB

%changelog
* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.0.7-7
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.7-5
- Use Requires: java-headless rebuild (#1067528)

* Wed Dec 11 2013 gil cattaneo <puntogil@libero.it> 1.0.7-4
- use custom JrpcgenSHA, thanks to Will Benton willb@redhat.com
- fix license field
- cleanup spec file

* Tue Dec 10 2013 gil cattaneo <puntogil@libero.it> 1.0.7-3
- fix bundled libraries

* Tue Dec 10 2013 gil cattaneo <puntogil@libero.it> 1.0.7-2
- fix license field

* Sat Aug 03 2013 gil cattaneo <puntogil@libero.it> 1.0.7-1
- initial rpm
